# Interface methods for submodule: LabelGeometryImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: LabelGeometryImageFilter
class LabelGeometryImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetCalculatePixelIndices(self) -> bool:
		""""""
		...

	def CalculatePixelIndicesOn(self) -> None:
		""""""
		...

	def CalculatePixelIndicesOff(self) -> None:
		""""""
		...

	def SetCalculatePixelIndices(self, value: bool) -> None:
		""""""
		...

	def GetCalculateOrientedBoundingBox(self) -> bool:
		""""""
		...

	def CalculateOrientedBoundingBoxOn(self) -> None:
		""""""
		...

	def CalculateOrientedBoundingBoxOff(self) -> None:
		""""""
		...

	def SetCalculateOrientedBoundingBox(self, value: bool) -> None:
		""""""
		...

	def GetCalculateOrientedLabelRegions(self) -> bool:
		""""""
		...

	def CalculateOrientedLabelRegionsOn(self) -> None:
		""""""
		...

	def CalculateOrientedLabelRegionsOff(self) -> None:
		""""""
		...

	def SetCalculateOrientedLabelRegions(self, value: bool) -> None:
		""""""
		...

	def GetCalculateOrientedIntensityRegions(self) -> bool:
		""""""
		...

	def CalculateOrientedIntensityRegionsOn(self) -> None:
		""""""
		...

	def CalculateOrientedIntensityRegionsOff(self) -> None:
		""""""
		...

	def SetCalculateOrientedIntensityRegions(self, value: bool) -> None:
		""""""
		...

	def SetIntensityInput(self, input) -> None:
		""""""
		...

	def GetIntensityInput(self):
		""""""
		...

	def HasLabel(self, label: int) -> bool:
		""""""
		...

	def GetNumberOfObjects(self) -> int:
		""""""
		...

	def GetNumberOfLabels(self) -> int:
		""""""
		...

	def GetLabels(self) -> Sequence[int]:
		""""""
		...

	def GetPixelIndices(self, label: int):
		""""""
		...

	def GetVolume(self, label: int) -> int:
		""""""
		...

	def GetIntegratedIntensity(self, label: int) -> float:
		""""""
		...

	def GetCentroid(self, label: int) -> Sequence[float]:
		""""""
		...

	def GetWeightedCentroid(self, label: int) -> Sequence[float]:
		""""""
		...

	def GetEigenvalues(self, label: int) -> Sequence[float]:
		""""""
		...

	def GetEigenvectors(self, label: int) -> vnl_matrix:
		""""""
		...

	def GetAxesLength(self, label: int) -> Sequence[float]:
		""""""
		...

	def GetMinorAxisLength(self, label: int) -> float:
		""""""
		...

	def GetMajorAxisLength(self, label: int) -> float:
		""""""
		...

	def GetEccentricity(self, label: int) -> float:
		""""""
		...

	def GetElongation(self, label: int) -> float:
		""""""
		...

	def GetOrientation(self, label: int) -> float:
		""""""
		...

	def GetBoundingBox(self, label: int) -> Sequence[int]:
		""""""
		...

	def GetBoundingBoxVolume(self, label: int) -> float:
		""""""
		...

	def GetBoundingBoxSize(self, label: int) -> Sequence[int]:
		""""""
		...

	def GetOrientedBoundingBoxVertices(self, label: int):
		""""""
		...

	def GetOrientedBoundingBoxVolume(self, label: int) -> float:
		""""""
		...

	def GetOrientedBoundingBoxSize(self, label: int) -> Sequence[float]:
		""""""
		...

	def GetOrientedBoundingBoxOrigin(self, label: int) -> Sequence[float]:
		""""""
		...

	def GetRotationMatrix(self, label: int) -> vnl_matrix:
		""""""
		...

	def GetRegion(self, label: int) -> ImageRegion:
		""""""
		...

	def GetOrientedLabelImage(self, label: int):
		""""""
		...

	def GetOrientedIntensityImage(self, label: int):
		""""""
		...

